Package org.jboss.modules

# Class ModuleSpec

java.lang.Object
org.jboss.modules.ModuleSpec

Direct Known Subclasses:
  `AliasModuleSpec`, `ConcreteModuleSpec`

public abstract class ModuleSpec extends Object
A `Module` specification which is used by a `ModuleLoader` to define new modules.

Author:
  David M. Lloyd

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`ModuleSpec.AliasBuilder`
A builder for new alias module specifications.
`static interface`
`ModuleSpec.Builder`
A builder for new concrete module specifications.

## Method Summary

Modifier and Type
Method
Description
`static ModuleSpec.Builder`
`build(String name)`
Get a builder for a new module specification.
`static ModuleSpec.Builder`
`build(ModuleIdentifier moduleIdentifier)`
Deprecated, for removal: This API element is subject to removal in a future version.
Use `build(String)` instead.
`static ModuleSpec.AliasBuilder`
`buildAlias(String name, String aliasName)`
Get a builder for a new module alias specification.
`static ModuleSpec.AliasBuilder`
`buildAlias(ModuleIdentifier moduleIdentifier, ModuleIdentifier aliasTarget)`
Deprecated, for removal: This API element is subject to removal in a future version.
Use `buildAlias(String, String)` instead.
`ModuleIdentifier`
`getModuleIdentifier()`
Deprecated, for removal: This API element is subject to removal in a future version.
Use `getName()` instead.
`String`
`getName()`
Get the module name for the module which is specified by this object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### build

@Deprecated(forRemoval=true) public static ModuleSpec.Builder build(ModuleIdentifier moduleIdentifier)
Deprecated, for removal: This API element is subject to removal in a future version.
Use `build(String)` instead.
Get a builder for a new module specification.

Parameters:
  `moduleIdentifier` - the module identifier
Returns:
  the builder

### build

public static ModuleSpec.Builder build(String name)
Get a builder for a new module specification.

Parameters:
  `name` - the module name
Returns:
  the builder

### buildAlias

@Deprecated(forRemoval=true) public static ModuleSpec.AliasBuilder buildAlias(ModuleIdentifier moduleIdentifier, ModuleIdentifier aliasTarget)
Deprecated, for removal: This API element is subject to removal in a future version.
Use `buildAlias(String, String)` instead.
Get a builder for a new module alias specification.

Parameters:
  `moduleIdentifier` - the module identifier
  `aliasTarget` - the alias target identifier
Returns:
  the builder

### buildAlias

public static ModuleSpec.AliasBuilder buildAlias(String name, String aliasName)
Get a builder for a new module alias specification.

Parameters:
  `name` - the module name
  `aliasName` - the alias target name
Returns:
  the builder

### getModuleIdentifier

@Deprecated(forRemoval=true) public ModuleIdentifier getModuleIdentifier()
Deprecated, for removal: This API element is subject to removal in a future version.
Use `getName()` instead.
Get the module identifier for the module which is specified by this object.

Returns:
  the module identifier

### getName

public String getName()
Get the module name for the module which is specified by this object.

Returns:
  the module name